cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t > Struct Template Reference

`#include <default_gemm_configuration.h>`

## Public Types

using | ThreadblockShape = GemmShape< 128, 128, 32 >
using | WarpShape = GemmShape< 32, 64, 32 >
using | InstructionShape = GemmShape< 1, 1, 4 >
using | EpilogueOutputOp = epilogue::thread::LinearCombinationClamp< ElementC, 1, int32_t, float >
using | Operator = arch::OpMultiplyAdd

## Static Public Attributes

static int const | kAlignmentA = 4
static int const | kAlignmentB = 4
static int const | kStages = 2

## Member Typedef Documentation

template<typename ArchTag , typename ElementC >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::EpilogueOutputOp = epilogue::thread::LinearCombinationClamp< ElementC, 1, int32_t, float >

template<typename ArchTag , typename ElementC >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::InstructionShape = GemmShape<1, 1, 4>

template<typename ArchTag , typename ElementC >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::Operator = arch::OpMultiplyAdd

template<typename ArchTag , typename ElementC >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::ThreadblockShape = GemmShape<128, 128, 32>

template<typename ArchTag , typename ElementC >

using cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::WarpShape = GemmShape<32, 64, 32>

## Member Data Documentation

template<typename ArchTag , typename ElementC >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::kAlignmentA = 4

static

template<typename ArchTag , typename ElementC >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::kAlignmentB = 4

static

template<typename ArchTag , typename ElementC >

int const cutlass::gemm::device::DefaultGemmConfiguration< arch::OpClassSimt, ArchTag, int8_t, int8_t, ElementC, int32_t >::kStages = 2

static

The documentation for this struct was generated from the following file:

- default_gemm_configuration.h